Flex 开发入门

Linux下Flash开发 — Linux Flex Builder

marz posted @ Aug 11, 2010 02:26:54 AM in flex , 8294 readers
 

screenshot113

Adob Flex Builder Linux Alpha

Download for Linux (BIN, 179 MB)

今天在安装Adobe Flex Builder Linux Alpha时出了些问题,MXML文件打不开,界面设计窗口显示了。查了一下错误发现网上有很多人碰到同样问题。原因就是Adobe Flex Builder Linux目前的版本只支持Eclipse 3.3.x,而现在我们在http://www.eclipse.org官方网站上下载的只有3.5以上版本。所以当把Flex Builder Plug安装上去后就会出问题了。按照Adobe官方说明我们必须使用Sun jre 1.5以Eclipse 3.3.x而目前Eclipse 3.3.x是很难找到下载地址了。

网上有些解决Eclipse 3.5安装的办法可以看一下:

Flex Builder 3 plugin don’t work with Eclipse 3.4

Flex Builder 3.0.1 plug-in now works with Ganymede (Eclipse 3.4)

下面给出一个就直接的方法,就是直接下载Eclipse 3.3.x版   eclipse3.3.2下载地址

这里有一位实现在Flash Builder 4 for Linux 下载地址:http://code.google.com/p/fb4linux/

下载转载一篇Flex Builder 3安装过程

在ubuntu7.10下如何安装flex builder linux?如何架构其开发环境?本blog多图。

在查找adobe labs时,我发现我尚未安装给firefox安装flash player插件。首先到这里下载install_flash_player_9_linux.tar.gz。置于桌面上解压缩。打开终端,输入:

cd /home/sban/桌面/install_flash_player_9_linux
sudo cp libflashplayer.so /usr/lib/mozilla/plugins/

重新启动firefox即可。

第一步,安装jre:

sudo apt-get install sun-java6-jre

安装jre之后,检查一下jre的设置:

sudo update-alternatives –config java

如果没有问题,jre6应该是默认的java环境了。

第二步,安装eclipse3.3.x

读者可能会使用如下命令安装eclipse:

sudo apt-get install eclipse

但是遗憾的是,ubuntu7.10提供的eclipse只是3.2版本。而接下来我们要安装的adobe flex builder linux却需要eclipse3.3.x.

这里下载eclipse3.3.2最新版本。置于桌面上。

eclipse-sdk-332-linux-gtk-down.png

第三步,解压缩eclipse-SDK-3.3.2-linux-gtk.tar.gz至/home/sban/桌面/eclipse,打开terminal输入如下命令:

cd /home/sban/桌面
sudo cp -r eclipse /usr/lib/

通过这一步,eclipse便可以使用了。为方便见,打开系统|首选项|主菜单,在编程单元下建立一个eclipse的快捷菜单,命令指向/usr/lib/eclipse/eclipse,icon指向/usr/lib/eclipse/icon.xpm,如下:

create-eclipse-menu-item.png

第四步,安装flex builder linux.

这里下载flexbuilder_linux_install_a2_121807.bin ,置于桌面上,打开ternimal,输入如下命令:

sudo /home/sban/桌面/flexbuilder_linux_install_a2_121807.bin

flex builder linux的安装界面做的还是蛮漂亮的:

screenshot-adobe_flex_builder_linux-1.png

screenshot-adobe_flex_builder_linux-2.png

在这一步聚,默认的安装 路径是/root/Adobe_Flex_Builder_Linux,把它改成/usr/lib/Adobe_Flex_Builder_Linux。

screenshot-adobe_flex_builder_linux-3.png

在这一步,eclipse的路径一定要填写适才eclipse的安装目录:/usr/lib/eclipse

screenshot-adobe_flex_builder_linux-4.png

下面一路确定。最后,打开系统|首选项|主菜单,在编程单元下,添加Flex Builder的快捷方式,命令指向/usr/lib/Adobe_Flex_Builder_Linux /Adobe_Flex_builder.sh。进行flex开发时,不要直接打开eclipse,而要使用这个命令代替。这一点在adobe labs上有说明。原文不再列出。

create-flex-menu.png

点选我们添加的flex builder菜单,打开eclipse .选择新建项目,可以看到如下图示:

eclipse-flex-builder-new-project.png

至此,flex builder linux已经安装成功了。 这一篇blog,恐怕是sban 写博客有吏以来用图最多的一例,adobe labs未必有我如此尽心啊。

flex builder linux plug-in 默认只有19天的试用期,adobe真够小气的。朋友给了我一个flex builder  3 pro  serial number (sn),有需要的请email与我,仅限学习研究之用。公司商用若用请到adobe购买正版。

附:

1,如何首先用sudo apt-get install eclipse命令安装了eclipse3.2怎么办?

缷载。用如下命令:

sudo apt-get remove eclipse
sugo apt-get autoremove

最后用rm -rf /usr/lib/eclipse 删除目录。回到篇首重新下载安装eclipse3.3.2。

2,如果已经在eclipse3.2的基础上安装了flex builder linux怎么办?

缷载。在终端中运行/usr/lib/Adobe_Flex_Builder_Linux/Uninstall Adobe_Flex_Builder_Linux目录下的Uninstall_Adobe_Flex_Builder_Linux命令。由于 Uninstall Adobe_Flex_Builder_Linux这个目录中有一个不规则的空格,无法用cd直接定位,可以先跳到/usr/lib /Adobe_Flex_Builder_Linux/目录下,然后用cd Uninstall*定位目录。

  • No match
  • No match
太极儒 said:
Jun 15, 2012 06:55:36 PM

能麻烦您发一个注册码给我么? 找了网上好多的 都不好用 唉 提前谢谢了!

lxf said:
Oct 31, 2012 01:21:44 PM

麻烦发个注册码给我呗,谢谢


Login *


loading captcha image...
(type the code from the image)
or Ctrl+Enter